Asianux Server 3 Service Pack - 5 Release Note

Forums: 

#############################################################

Asianux Server 3 Service Pack 5 (Quartet)

############################################################

-------------------------------------------------------------
0. Contents
-------------------------------------------------------------
The contents of this file is as follows:

1. Overview of Features
2. Components
3. General Notes
4. Restrictions/Known Bugs
5. Feedback
6. Copyright

-------------------------------------------------------------
1. Overview
-------------------------------------------------------------

Asianux Server 3 Service Pack5(AXS3SP5) brings your Asianux 3.0
Service Pack 4 (AXS3SP4) installation up to date with a simple
and fast procedure.

-------------------------------------------------------------
2. Components
-------------------------------------------------------------
- kernel 2.6.18
- glibc 2.5
- gcc 4.1.2
- gcc44 4.4.7 (*)
- xorg 1.1.1
- rpm 4.4.2.3
- KDE 3.5.5
- openssh 4.3p2
- bind 9.3.6
- dhcp 3.0.5
- openldap 2.3.43
- postfix 2.3.3
- sendmail 8.13.8
- vsftpd 2.0.5
- squid 2.6.STABLE21
- apache 2.2.3
- PHP 5.1.6
- MySQL 5.0.95
- PostgreSQL 8.1.23 (*)
- Samba 3.0.33
- ntp 4.2.2p1
- net-snmp 5.3.2.2
- iptables 1.3.5
- Perl 5.8.8
- Ruby 1.8.5
- OraNavi 11.3.3

(*): Updated since AXS3SP3

-------------------------------------------------------------
3. General Notes
-------------------------------------------------------------

o Asianux 3.0 Service Pack 5 only supports upgrading from
Asianux 3.0 Service Pack 4. An AXS3SP4 system updated through
TSN can also be updated if needed.

o Use the provided "/bin/update.sh" tool to update all the
installed packages on your current AXS3SP4 system (see
the README file on the DVD).

o New packages can be installed normally with the rpm
command. AXS3SP5 packages are located in the /RPMS
directory on the DVD.

-------------------------------------------------------------
4. Restrictions/Known Bugs
-------------------------------------------------------------
- USB-FDD cannot be mounted in KDE environment.

- To use the Encrypt File System in a machine which has two or more hard disks
connected to different SCSI devices, you must create your Encrypt File System
for the / partition in the first hard disk (sda) or your system may experience
some problems.

- Kernel reports some warning messages on console.
When a user tries to check /proc/sys/net/ipv6/neigh/eth0/base_reachable_time
or /proc/ide/hd?/settings, they will see some warning messages on the console
like:

process `sysctl' is using deprecated sysctl(syscall) \
net.ipv6.neigh.eth0.base_reachable_time; Use \
net.ipv6.neigh.eth0.base_reachable_time_ms instead.

This is for backward compatibility issues. They can be ignored.

- USB storage cannot be found by the system after a kernel dump has been
put into the USB storage by kdump. This can be fixed by the workaround
below:

append line "extra_modules uhci_hcd ohci_hcd ehci_hcd usb_storage" to
/etc/kdump.conf, then start the kernel dump.

- 64-bits kernel cannot boot up in VMWare when the host os has loaded kmod-kvm.

- RAID feature in ICH10 BIOS is not supported.

- ipv6 support:
To enable ipv6 in AXS3SP5, comment out the 3 lines below in /etc/modprobe.conf
(add '#' at the beginning of the line)

#alias net-pf-10 off
#alias ipv6 off
#options ipv6 disable=1

The system needs to be restarted for changes to take effect.

- packages update conflicts issue:
While updating your system with update.sh, it is possible that the script runs
into some file conflict problems. In that case, the update.sh script will quit.
You will need to solve the problem manually before running update.sh again to
finish the update.

Example of a typical error:

"file /etc/dbus-1/system.conf from install of dbus-1.1.2-16.AXS3.i386 conflicts
with file from package dbus-1.1.2-16.AXS3.x86_64".

Reason: This can happen if the version of the binaries installed on your
machine for one architecture are different from the other one (for example:
dbus-1.1.2-16.AXS3.i386 and dbus-1.1.2-15.AXS3.x86_64). In that case, you need
to update one or downgrade the other so that they both have the same version.
To do so, use the rpm -Uvh --force package_name command; for example: "rpm
-Uvh --force dbus-1.1.2-16.AXS3*"

Once the problem have been solved, re-run the update.sh script to finish the
update.

- service kdump restart issue
For i686 PAE kernel with RAID1, kdump service start failed.
The package of kexec-tools released after AXS3SP5 RTM can fix it.

-------------------------------------------------------------
5. Feedback
-------------------------------------------------------------
We are always trying to improve Asianux, and we would like to know what you think when using it.
If you have any comments or suggestions about Asianux,
please send them to the following e-mail address.

feedback@asianux.com

-------------------------------------------------------------
6. Copyright
-------------------------------------------------------------
Copyright 2013
MIRACLE LINUX CORPORATION,
Red Flag Software Co., Ltd.,
Hancom Inc,
All rights reserved.

Copyright© 2007-2019 Asianux. All rights reserved.